﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek MDO4000,MSO/DPO4000B Preliminary Instructions
INSTRUMENT:            Sub Tek MDO4000,MSO/DPO4000B Additional Equipment Req.
DATE:                  2014-12-17 10:07:45
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       124
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO4034B, DPO4054B, DPO4104B
#        MSO4034B, MSO4054B, MSO4104B
#        MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         PRELIMINARY_INSTRUCTIONS     PSUBI("Preliminary Instr")
  1.002  JMPL         EQUIPMENT_REQUIREMENTS       PSUBI("Additional Equip")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   -e Increment test number

# =====  Sub Tek MDO4000,MSO/DPO4000B Preliminary Instructions  =============

  2.001  LABEL        PRELIMINARY_INSTRUCTIONS
  2.002  HEAD         PRELIMINARY INSTRUCTIONS
  2.003  DISP         Ensure a minimum DUT warm-up time of at least
  2.003  DISP         20 minutes has been allowed to elapse, prior
  2.003  DISP         to beginning verification.

  2.004  HEAD
  2.005  END

  2.006  EVAL   -e Increment test number

# =====  Sub Tek MDO4000,MSO/DPO4000B Additional Equipment Req.  ============

  3.001  LABEL        EQUIPMENT_REQUIREMENTS
  3.002  HEAD         EQUIPMENT REQUIREMENTS
  3.003  OPBR         -z Do you want to review the list of additional
  3.003  OPBR         equipment and/or accessories required?

  3.004  IF           MEM1

  3.005  IF           @NumChan == 2
  3.006  MATH         TermReqd = "2 ea."
  3.007  ELSE
  3.008  MATH         TermReqd = "4 ea."
  3.009  ENDIF

  3.010  IF           FIND(@ModelNum, "MDO", 1)

  3.011  IF           FINDI(@ScopeCal, "9500", 0)
  3.012  DISP         - 50 Ohm terminator ([V TermReqd])
  3.012  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  3.012  DISP         - Tektronix P6616 digital probe
  3.012  DISP         - BNC-to-0.1 inch pin adapter
  3.012  DISP         - Additional RF adapters as needed for the signal
  3.012  DISP         [32] generators in use.
  3.013  ELSE
  3.014  DISP         - 50 Ohm terminator ([V TermReqd])
  3.014  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36 (2 ea.)
  3.014  DISP         - BNC tee
  3.014  DISP         - Tektronix TCFA071 Digital Calibration Fixture,
  3.014  DISP         [32] PN 067-2121-00
  3.014  DISP         - Additional RF adapters as needed for the signal
  3.014  DISP         [32] generators in use.
  3.015  ENDIF

  3.016  ELSEIF       FIND(@ModelNum, "MSO", 1)

  3.017  IF           FINDI(@ScopeCal, "9500", 0)
  3.018  DISP         - 50 Ohm terminator ([V TermReqd])
  3.018  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  3.019  DISP         - Tektronix P6616 digital probe
  3.019  DISP         - BNC-to-0.1 inch pin adapter
  3.020  ELSE
  3.021  DISP         - 50 Ohm terminator ([V TermReqd])
  3.021  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36 (2 ea.)
  3.021  DISP         - BNC tee
  3.022  DISP         - Tektronix TCFA071 Digital Calibration Fixture,
  3.022  DISP         [32] PN 067-2121-00
  3.023  ENDIF

  3.024  ELSE

  3.025  IF           FINDI(@ScopeCal, "9500", 0)
  3.026  DISP         - 50 Ohm terminator ([V TermReqd])
  3.026  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  3.027  ELSE
  3.028  DISP         - 50 Ohm terminator ([V TermReqd])
  3.028  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36 (2 ea.)
  3.028  DISP         - BNC tee
  3.029  ENDIF

  3.030  ENDIF        ; review list of required equipment.

  3.031  ENDIF

  3.032  HEAD
  3.033  END
