﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek MSO Read Digital Data VISA
DATE:                  2013-07-25 08:55:44
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       71
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        MSO2012, MSO2014, MSO2024
#        MSO3012, MSO3014, MSO2032, MSO3034, MSO3052, MSO3054
#        MSO4032, MSO4034, MSO4054, MSO4104
#        MSO4034B, MSO4054B, MSO4104
#        MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Memory Register Usage:
#
#    M[100] - M[115]:  Channel state (0 or 1)
#    M[160] - M[175]:  Average transition voltage found (0 or 1)
#
#    @iState: Index offset to access channel state in M registers.
#    @iFound: Index offset to access voltage found in M registers.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  VISA         CURV?[I$]
  1.002  MATH         @Hex = MEM2
  1.003  CALL         Sub Hex to Decimal
  1.004  MATH         Ch = 0

  1.005  DO
  1.006  MATH         MSET((Ch + @iState), BIT(Ch,  @Decimal))
  1.007  MATH         Ch = Ch + 1
  1.008  UNTIL        Ch > 15

# Determine the overall treshold voltage found state of D15 through D0.
  1.009  MATH         Ch = 0
  1.010  MATH         @FoundVoltages = MGET(Ch + @iFound)
  1.011  MATH         Ch = 1

  1.012  DO
  1.013  MATH         @FoundVoltages = @FoundVoltages && MGET(Ch + @iFound)
  1.014  MATH         Ch = Ch + 1
  1.015  UNTIL        Ch > 15

  1.016  END
